LibreOffice: ChartTwoAxisYSupplier Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
ChartTwoAxisYSupplier Service Referencepublished

a helper service for chart documents which supply primary and secondary y-axes. More...

Inheritance diagram for ChartTwoAxisYSupplier:

## Included Services
service | com::sun::star::chart::ChartAxisYSupplier

## Exported Interfaces
interface | com::sun::star::chart::XTwoAxisYSupplier
| offers access to the axis object
Exported Interfaces inherited from ChartAxisYSupplier
interface | com::sun::star::chart::XAxisYSupplier
| offers access to the axis object, the title, and the grids

## Public Attributes
boolean | HasSecondaryYAxis
| determines if the secondary y-axis is shown or hidden.
boolean | HasSecondaryYAxisDescription
| determines for the secondary y-axis if the labels at the tick marks are shown or hidden.
boolean | HasSecondaryYAxisTitle
| determines if the title of the secondary y-axis is shown or hidden.
Public Attributes inherited from ChartAxisYSupplier
boolean | HasYAxis
| Determines if the y-axis is shown or hidden.
boolean | HasYAxisDescription
| Determines if the description of the y-axis is shown or hidden.
boolean | HasYAxisGrid
| Determines if the major grid of the y-axis is shown or hidden.
boolean | HasYAxisHelpGrid
| Determines if the minor grid of the y-axis is shown or hidden.
boolean | HasYAxisTitle
| Determines if the title of the y-axis is shown or hidden.

## Additional Inherited Members
Public Member Functions inherited from XTwoAxisYSupplier
com::sun::star::beans::XPropertySet | getSecondaryYAxis ()
Public Member Functions inherited from XAxisYSupplier
com::sun::star::drawing::XShape | getYAxisTitle ()
com::sun::star::beans::XPropertySet | getYAxis ()
com::sun::star::beans::XPropertySet | getYHelpGrid ()
com::sun::star::beans::XPropertySet | getYMainGrid ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

a helper service for chart documents which supply primary and secondary y-axes.

## Exported Interfaces

## ◆ com::sun::star::chart::ChartAxisYSupplier

service com::sun::star::chart::ChartAxisYSupplier

## Exported Interfaces

## ◆ com::sun::star::chart::XTwoAxisYSupplier

interface com::sun::star::chart::XTwoAxisYSupplier

offers access to the axis object

## Member Data Documentation

## ◆ HasSecondaryYAxis

boolean HasSecondaryYAxis
| property

determines if the secondary y-axis is shown or hidden.

See also
  ChartAxis

## ◆ HasSecondaryYAxisDescription

boolean HasSecondaryYAxisDescription
| property

determines for the secondary y-axis if the labels at the tick marks are shown or hidden.

## ◆ HasSecondaryYAxisTitle

boolean HasSecondaryYAxisTitle
| optionalproperty

determines if the title of the secondary y-axis is shown or hidden.

See also
  ChartTitle

Since
  OOo 3.0

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartTwoAxisYSupplier.idl